//////////////////////////////////////////////////////////////////////////////
//
// DIPLOMARBEIT : WAVE-GL 	Inst. f. techn. Mathematik / TU-WIEN
//
// Author : Michael Mueller-Wernhart
//
//////////////////////////////////////////////////////////////////////////////
//
// MODULE : FUNCTREE.CPP
//
// Description:
//		Implemetation of class 'FuncTree'
//
//
//	Version 1.0
//
//////////////////////////////////////////////////////////////////////////////

#include "FuncTree.h"

// Initialize variables
void FuncTree::InitVariables(void)
{
	for (unsigned int i=0;i<26;i++)
	{
		variables[i].value=0.0;
		variables[i].used_as_parameter=0;
	}
}

// set specific variable
void FuncTree::SetVariable(char var,VALUETYPE value)
{
	if (!variables[var-(islower(var) ? 'a' : 'A')].used_as_parameter)
		printf("You cannot assign the nonparameter variable %c\n",var);
	else
		variables[var-(islower(var) ? 'a' : 'A')].value=value;
}

