// ----------- Page.cpp
#include "stdafx.h"
#include "PropSheet.h"
#include "Page.h"
#include "Sheet.h"

IMPLEMENT_DYNCREATE(CPage, CPropertyPage)

BEGIN_MESSAGE_MAP(CPage, CPropertyPage)
	ON_BN_CLICKED(IDC_TOGGLEEXIT, OnExitToggleButton)
END_MESSAGE_MAP()


CPage::CPage() : CPropertyPage(CPage::IDD)
{
	m_pCSheet = 0;
	m_psp.dwFlags &= ~PSP_HASHELP;
}

CPage::~CPage()
{
}
void CPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
}
BOOL CPage::OnInitDialog() 
{
    CPropertyPage::OnInitDialog();
    if (m_pCSheet == 0)	{
        m_pCSheet = (CSheet*)GetParent();
        m_pCSheet->Initialize();
    }
    return TRUE;
}
void CPage::OnExitToggleButton()
{
	m_pCSheet->ToggleExit();
}
