//////////////////////////////////////////////////////////////////////////////
//
// DIPLOMARBEIT : WAVE-GL 	Inst. f. techn. Mathematik / TU-WIEN
//
// Author : Michael Mueller-Wernhart
//
//////////////////////////////////////////////////////////////////////////////
//
// MODULE : SIMPLVAR.CPP
//
// Description:
//		Implementation of class SimpleVariable.
//
//
//	Version 1.0
//
//////////////////////////////////////////////////////////////////////////////

#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include "SimplVar.h"


SimpleVariable::SimpleVariable(char *key)
	: ListElement(key,VAR_SIMPLE)
{
	InitialValue=0;
	SetInitialValue();
}

SimpleVariable::SimpleVariable(char *key,VALUETYPE value)
	: ListElement(key,VAR_SIMPLE)
{
	InitialValue=value;
	SetInitialValue();
}

SimpleVariable::~SimpleVariable(void)
{
}

VALUETYPE SimpleVariable::GetValue(void)
{
	return(Value);
}

void SimpleVariable::SetValue(VALUETYPE value)
{
	Value=value;
}

void SimpleVariable::SetInitialValue(void)
{
	Value=InitialValue;
}
