//////////////////////////////////////////////////////////////////////////////
//
// DIPLOMARBEIT : WAVE-GL 	Inst. f. techn. Mathematik / TU-WIEN
//
// Author : Michael Mueller-Wernhart
//
//////////////////////////////////////////////////////////////////////////////
//
// MODULE : FUNCTREE.H
//
// Description:
//		Definition of class FuncTree.
//
// Version 1.0
//
//////////////////////////////////////////////////////////////////////////////

#include "Node.h"

#ifndef __FUNCTREE
#define __FUNCTREE

typedef struct variable_struct
{
	VALUETYPE value;
	unsigned char used_as_parameter ;
};

class FuncTree {
	Node *BaseNode;
	variable_struct variables[26];
public:
	FuncTree(Node *basenode) { BaseNode=basenode; }
	~FuncTree() {}
	void SetVariable(char var,VALUETYPE value);
	void InitVariables(void);
	VALUETYPE eval(char var,VALUETYPE value) { BaseNode->eval(var,value); }
};
