//////////////////////////////////////////////////////////////////////////////
//
// DIPLOMARBEIT : WAVE-GL 	Inst. f. techn. Mathematik / TU-WIEN
//
// Author : Michael Mueller-Wernhart
//
//////////////////////////////////////////////////////////////////////////////
//
// MODULE : OWNERR.H
//
// Description:
//		Error-function prototypes
//
//
//	Version 1.0
//
//////////////////////////////////////////////////////////////////////////////

#ifndef __OWNERR

#define ERR_MSG_LEN	80

extern unsigned int FKT_errorcnt;

// message buffer memory operations
char *alloc_msgmem(void);
void dealloc_msgmem(char *msgbuff);

// error styles
void warning(char *msg,unsigned int line=0);
void error(char *msg,unsigned int line=0);
void fatal(char *msg,unsigned int line=0);

// special error function
void FKT_error(char *msg,unsigned int line=0);

#define __OWNERR
#endif
