// -------- Sheet.h
#ifndef SHEET_H
#define SHEET_H

#include "page.h"

class CSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CSheet)
	CPage m_CPage;
	BOOL m_bExitEnabled;
public:
	CSheet();
protected:
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
public:
	virtual ~CSheet();
	void Initialize();
	void EnableExit();
	void DisableExit();
	void ToggleExit()
		{ if (m_bExitEnabled) DisableExit(); else EnableExit(); }
};

#endif
